# Vernet

Vernet - Network Analyzer and Monitoring Tool

[![F-Droid](https://img.shields.io/f-droid/v/org.fsociety.vernet)](https://f-droid.org/packages/org.fsociety.vernet)
[![GitHub release (including pre-releases)](https://img.shields.io/github/v/release/git-elliot/vernet?include_prereleases)](https://github.com/git-elliot/vernet/releases/latest)
![GitHub repo size](https://img.shields.io/github/repo-size/git-elliot/vernet)
![GitHub Downloads (all assets, all releases)](https://img.shields.io/github/downloads/osociety/vernet/total)
![Liberapay receiving](https://img.shields.io/liberapay/receives/opensociety)
[![codecov](https://codecov.io/gh/osociety/vernet/graph/badge.svg?token=B25JBP4RCI)](https://codecov.io/gh/osociety/vernet)

## Features

1. Shows Wi-Fi details such as BSSID and MAC Address.
2. Scans for devices(or hosts) on network
3. Scans for open ports of target IP
4. Shows ISP details

## Screenshots

|Vernet|Home|Devices|Open Ports|
|-|-|-|-|
|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" width = "200">|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" width = "200">|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" width = "200">|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/6.png" width = "200">|
|Ping|DNS|Reverse DNS|Settings|
|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" width = "200">|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/7.png" width = "200">|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/8.png" width = "200">|<img src="android/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" width = "200">|

## Download

|   Android | iOS | macOS | Linux | Windows |
|-----------|-----|-------|-------|---------|
|<a href='https://f-droid.org/packages/org.fsociety.vernet'><img alt='Get it on F-droid' src='https://fdroid.gitlab.io/artwork/badge/get-it-on.png'  width="100" /></a><a href='https://play.google.com/store/apps/details?id=org.fsociety.vernet.store'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png'  width="100" /></a>| Works on emulator |<a href='https://github.com/git-elliot/vernet/releases/latest'><img alt='Get it on GitHub Releases' src='https://i.ibb.co/q0mdc4Z/get-it-on-github.png'  width="100" />|<a href='https://github.com/git-elliot/vernet/releases/latest'><img alt='Get it on GitHub Releases' src='https://i.ibb.co/q0mdc4Z/get-it-on-github.png'  width="100" />| <a href='https://github.com/git-elliot/vernet/releases/latest'><img alt='Get it on GitHub Releases' src='https://i.ibb.co/q0mdc4Z/get-it-on-github.png'  width="100" />|

## How to install

### Instructions for macOS

Note: macOS build hasn't been notarized yet.

1. Star this repository.
2. Download vernet-macos.zip from [releases](https://github.com/git-elliot/vernet/releases/latest)
3. Extract downloaded zip file.
4. Copy app file to the Applications folder.
5. Go to Applications folder.
6. Press down cmd + left click on vernet.
7. In context menu, click on open.

### Instructions for Linux

1. Star this repository.
2. Install `net-tools` package for `arp` command, otherwise app will not run.
3. Download vernet-linux.zip from [releases](https://github.com/git-elliot/vernet/releases/latest)
4. Extract downloaded zip file.
5. Go to bundle folder and double click vernet file.

### Instruction for Windows
1. Star this repository.
2. Download vernet-windows.zip from [releases](https://github.com/git-elliot/vernet/releases/latest)
3. Extract downloaded zip file.
4. Run vernet.exe
5. Click on more info, tap on 'Run anyway'.
5. Give permission if asked.

## Contributors Required

1. Technical writer

Write us at fs0c19ty@protonmail.com

## Publishing to F-droid
You can follow this guide to publish your app to f-droid - https://op3nsoc13ty.blogspot.com/2021/06/publish-your-first-flutter-app-to-fdroid.html
## How to Contribute

1. Found bug? Open an [issue](https://github.com/git-elliot/vernet/issues)
2. Do you know Flutter? Fix bugs and open a [Pull Request](https://github.com/git-elliot/vernet/pulls)

## Support and Donate

1. Support this project by becoming stargazer of this project.
2. Rate our app on [Playstore](https://play.google.com/store/apps/details?id=org.fsociety.vernet.store)

3. Buy me a coffee.

    | Librepay | 
    |----------|
    |[![Librepay](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/OpenSociety/donate)

4. Support me on Ko-Fi

    [![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/fs0c13ty)

